public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-calculators/units/
Date: Tue, 21 Mar 2017 22:03:44 +0000 (UTC)	[thread overview]
Message-ID: <1490133819.7a4e8ad7f60179f71b4e1684cfb31997cbd96dae.mgorny@gentoo> (raw)

commit:     7a4e8ad7f60179f71b4e1684cfb31997cbd96dae
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 21 20:18:27 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 21 22:03:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a4e8ad7

sci-calculators/units: Fix shebang, convert to python-single-r1

Convert the ebuild to python-single-r1 to make it simpler (there is
really no need to use multi-impl for scripts). Correct the dependencies,
add missing REQUIRED_USE. Use python_is_python3 instead of some horrible
extglob logic. Disable Python at configure time instead of forcing it
off for make calls. Fix shebang on installed script.

 sci-calculators/units/units-2.14-r1.ebuild | 51 ++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/sci-calculators/units/units-2.14-r1.ebuild b/sci-calculators/units/units-2.14-r1.ebuild
new file mode 100644
index 00000000000..7050f31710f
--- /dev/null
+++ b/sci-calculators/units/units-2.14-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE="xml"
+inherit eutils python-single-r1
+
+DESCRIPTION="Unit conversion program"
+HOMEPAGE="https://www.gnu.org/software/units/units.html"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="FDL-1.3 GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="+units_cur"
+
+RDEPEND="
+	sys-libs/readline:=
+	units_cur? (
+		dev-python/unidecode[${PYTHON_USEDEP}]
+		${PYTHON_DEPS}
+	)"
+DEPEND=${RDEPEND}
+
+REQUIRED_USE="units_cur? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+	use units_cur && python-single-r1_pkg_setup
+}
+
+src_configure() {
+	econf ac_cv_path_PYTHON=no
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	dodoc ChangeLog NEWS README
+
+	# we're intentionally delaying this since 'make install' would
+	# get confused if we shove 'units_cur' there, and there is no real
+	# need to add more complexity for it
+	if use units_cur; then
+		local pyver
+		python_is_python3 && pyver=3 || pyver=2
+		sed -e "/^outfile/s|'.*'|'/usr/share/units/currency.units'|g" \
+			"units_cur${pyver}" > units_cur || die
+		python_doscript units_cur
+	fi
+}


             reply	other threads:[~2017-03-21 22:03 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-21 22:03 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-28 12:08 [gentoo-commits] repo/gentoo:master commit in: sci-calculators/units/ Viorel Munteanu
2024-12-28 12:08 Viorel Munteanu
2024-12-27 12:02 Sam James
2024-12-27 12:02 Sam James
2024-12-27 12:02 Sam James
2024-11-27  5:42 Sam James
2024-11-24 11:21 Viorel Munteanu
2024-11-24 11:21 Viorel Munteanu
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-04-21  8:27 Viorel Munteanu
2023-07-19 19:59 Sam James
2023-07-19 19:59 Sam James
2022-12-31 15:04 Michał Górny
2022-10-18  2:18 Sam James
2022-05-30 22:53 Sam James
2021-02-12 13:46 Sam James
2021-02-05 12:31 Sam James
2021-02-05 10:40 Sam James
2021-02-05  6:36 Sam James
2021-01-07 19:04 Sam James
2021-01-07 18:57 Sam James
2021-01-07 10:09 Sam James
2021-01-02 22:43 Sam James
2021-01-02 22:07 Sam James
2021-01-01 13:10 Michał Górny
2021-01-01  4:32 Sam James
2020-10-04 12:07 Jeroen Roovers
2020-10-03 21:47 David Seifert
2020-10-01 12:07 Jeroen Roovers
2020-10-01  8:38 Jeroen Roovers
2020-04-19  2:35 Craig Andrews
2020-02-10 12:12 Michał Górny
2020-02-09 16:36 Michał Górny
2019-12-16  7:34 Jeroen Roovers
2019-10-10  7:55 Jeroen Roovers
2019-06-01  5:55 Jeroen Roovers
2019-06-01  5:55 Jeroen Roovers
2018-11-23 12:57 Jeroen Roovers
2018-10-21 19:21 Jeroen Roovers
2018-10-07 17:13 Jeroen Roovers
2018-03-18  6:41 Jeroen Roovers
2018-03-17 22:14 Matt Turner
2018-03-17 22:14 Matt Turner
2018-03-02 15:59 Tobias Klausmann
2017-12-20  2:30 Jeroen Roovers
2017-12-20  2:24 Jeroen Roovers
2017-12-19 10:39 Jeroen Roovers
2017-11-26 20:51 Jeroen Roovers
2017-11-01 19:57 Jeroen Roovers
2017-10-27  0:15 Jeroen Roovers
2017-10-24 13:15 Jeroen Roovers
2017-10-05 20:28 Jeroen Roovers
2017-10-04  3:48 Matt Turner
2017-10-01 19:11 Matt Turner
2017-10-01 19:11 Matt Turner
2017-09-24 19:20 Jeroen Roovers
2017-09-24  9:53 Michael Palimaka
2017-03-11  5:31 Jeroen Roovers
2017-02-01 22:48 Jeroen Roovers
2017-01-26 11:00 Agostino Sarubbo
2017-01-25 13:26 Tobias Klausmann
2017-01-22 19:26 Jeroen Roovers
2017-01-22 15:01 Agostino Sarubbo
2017-01-22 14:53 Agostino Sarubbo
2016-09-05  4:34 Jeroen Roovers
2016-06-21 20:36 Jeroen Roovers
2016-05-08  9:20 Jeroen Roovers
2016-01-10 10:34 Agostino Sarubbo
2016-01-09  6:43 Agostino Sarubbo
2015-12-07 11:40 Agostino Sarubbo
2015-12-04  5:37 Jeroen Roovers
2015-12-04  5:33 Jeroen Roovers
2015-12-03 13:28 Agostino Sarubbo
2015-12-01 11:20 Agostino Sarubbo
2015-10-17 11:36 Jeroen Roovers
2015-10-17 11:07 Jeroen Roovers
2015-10-17 11:07 Jeroen Roovers
2015-10-06  4:59 Jeroen Roovers
2015-09-16  3:54 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490133819.7a4e8ad7f60179f71b4e1684cfb31997cbd96dae.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox